\hypersetup{pdftex, colorlinks=true,linkcolor=blue,filecolor=blue,urlcolor=blue}
\usepackage{fullpage}
\usepackage{/usr/local/common/TEXINPUTS/verimagreport}

\usepackage{fancyhdr}
\addtolength{\headheight}{\baselineskip}
\usepackage{color,myxcolor}
\definecolor{grey}{rgb}{0.745,0.745,0.745}
\newcommand{\kwd}[1]{{\bf \color{red3} #1}} 
\newcommand{\kwdd}[1]{{\color{blue2} #1}} 
\newcommand{\kwddd}[1]{{\bf \color{green3} #1}} 
\newcommand{\comment}[1]{{\it \color{green4} #1}}

%% NEUTRALISER LA GESTION FONTES/COULEURS DE XFIG ?
\gdef\SetFigFont#1#2#3#4#5#6{#6}


%% DIVERS ...
\usepackage{mathptmx}
\usepackage{helvet}
\usepackage{version}

\usepackage{frames}
\input{/home/jahier/lurette/doc/version}

\usepackage{listings}
%\usepackage{listingsutf8}


\lstset{
%  inputencoding=utf8/latin1,
  captionpos=b,
  xleftmargin=0pt,
  xrightmargin=5pt,
  abovecaptionskip=10pt,
  framexleftmargin=5pt,
  framexrightmargin=5pt,
  framextopmargin=5pt,
  framexbottommargin=0pt,
  escapechar={&,<,>},
  alsoletter={&},
  escapechar={\&},
  alsoletter={\&},
  escapechar={_},
  alsoletter={_},
  basicstyle=\footnotesize\ttfamily,
  keywordstyle=\color{green4},
  keywordstyle=[2]\color{IndianRed3},
  keywordstyle=[3]\color{DarkCyan},
  keywordstyle=[4]\color{DeepPink3},
  backgroundcolor=\color{LightGray},
  rulesepcolor=\color{LightGray},
  identifierstyle=,
  numbers=none,
%  column=fixed,%% XXX keyval package clash 
  commentstyle=\color{DarkGreen}\itshape,
  frame=shadowbox,
  escapeinside={$$},%
  showstringspaces=false,
  stringstyle=\color{black}
}
\lstset{}

\lstdefinelanguage{adacstimu}{%
  morekeywords={DEBUT_SCENARIO, FIN_SCENARIO},
  morekeywords=[2]{GEN_MSG, ATTENDRE, CCT},
  morekeywords=[3]{FAUX,VRAI},
  morekeywords=[4]{TOR,ANA,VALUE},
  sensitive=false,
  moredelim=[l][\ttfamily\green]{CC\ },
  morecomment=[l]{CM},
}
\lstdefinelanguage{rif}{%
  morekeywords={inputs, outputs, locals},
  morekeywords=[2]{true,false},
  morekeywords=[3]{},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)}
}
\lstdefinelanguage{lutin}{%
  morekeywords={node,returns,include},
  morekeywords=[2]{pre,and,or,not,if,then,else},%XXX'=>'?
  morekeywords=[3]{let,tel,assert,exist,run,exception,raise,in,loop,fby,while,try,raise,catch,trap,with,do},
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s]{(*}{*)},
}

\lstdefinelanguage{lustre}{%
  morekeywords={node,returns,var,const,let,tel,in},
  morekeywords=[2]{pre,current,when,step,and,or,if,with,then,else,not},%XXX'=>'?
  morekeywords=[4]{bool,int,real},
  sensitive=false,
  morecomment=[l]{--},
  morecomment=[s][\color{goldenrod4}]{<<}{>>},
  morecomment=[s]{(*}{*)},
}



\lstnewenvironment{rif} {\lstset{language=rif}}  {}
\lstnewenvironment{lutin} {\lstset{language=lutin}}  {}
\lstnewenvironment{lustre} {\lstset{language=lustre}}  {}




%% CONFIG BEAMER PERSO 
%% couleurs
%\input{beamer-bleu-sur-jaune}
%\input{beamer-color}

%======================== Commandes spécifiques =========================
%\input{commandes}
\newcommand{\blue}[1]{{\color{DarkBlue}#1}}
\newcommand{\red}[1]{{\color{red}#1}}
\newcommand{\green}[1]{{\color{DarkGreen}#1}}
\newcommand{\purple}[1]{{\color{purple2}#1}}
\newcommand{\decal}{$\hspace*{1cm}$}
\newcommand{\transTT}[1]{\raisebox{6pt}{$\underrightarrow{~~\mbox{\tt #1}~~}$}}
\newcommand{\transMTH}[1]{\raisebox{6pt}{$\underrightarrow{~~\mbox{$#1$}~~}$}}
\newcommand{\hide}[1]{}
\newcommand{\NN}{\mbox{$\mathrm{I}\!\mathrm{N}$}}
\newcommand{\MagentaIII}[1]{{\color{magenta3} #1}}
\newcommand{\GreenIV}[1]{{\color{green4} #1}}
\newcommand{\RedII}[1]{{\color{red2} #1}}
\newcommand{\BlueII}[1]{{\color{blue2} #1}}
\newcommand{\COMM}[1]{\mbox{\blue{// #1}}}
\newcommand{\kw}[1]{\MagentaIII{\tt #1}}
\newcommand{\ty}[1]{\GreenIV{\tt #1}}
\newcommand{\lop}[1]{\BlueII{\tt #1}}
\newcommand{\prog}[1]{\mbox{\tt #1}}
\newcommand{\TR}{\mbox{$\cal T$}}

\newcommand{\myparagraph}[1]{\newline\noindent{\bf #1.}} 

\usepackage{lastpage}

% http://en.wikibooks.org/wiki/LaTeX/Page_Layout
\renewcommand{\footrulewidth}{1pt}
\setlength{\headsep}{10pt} 
\setlength{\footskip}{10pt} 
\setlength{\textheight}{620pt} 
\fancyhf{}


\fancyhead[LO, RE]{\color{grey} \hyperlink{toc}{Lurette user guide}}
\fancyhead[RO, LE]{\color{grey} \today}
\fancyfoot[LO, RE]{\color{grey} \footnotesize Verimag}
\fancyfoot[RO, LE]{\color{grey} \footnotesize Page \thepage/\pageref{LastPage}}
 
\pagestyle{fancyplain}


% page de garde
%\renewcommand\maketitle{\begin{titlepage}%

% Upper part of the page

% \vfill


% Title
% { \LARGE \bfseries \titre }\\[0.4cm]
% \vfill
% \hfill\begin{minipage}{0.6\textwidth}
% \begin{flushleft} \large
% \end{flushleft}
% \end{minipage}
% \vfill
% %\hrule \\[2cm]
%  Bottom of the page
%  {\footnotesize
%  \noindent
%  Verimag \hfill Page \thepage/\pageref{LastPage}\\ 
%  \noindent
%  xxx
%  }


% \end{titlepage}%
% }

\usepackage[nodayofweek]{datetime}
\reportnumber{TR-2004-5}

\shorttitle{The Lurette V2 User Guide}

\abstract{
Lurette is an Automatic Test Generator for \emph{Reactive Programs}.
It is automated in two main ways.  Realistic input sequences are
generated from non-deterministic formal descriptions of the
\emph{System Under Test} Environment properties (pre-conditions).
The test decision is done with a formal description of the 
desired properties -- correct behaviours -- of the SUT (post-conditions). \\ \\
%
Of course, formal verification should be used whenever possible.
However, because program verification is undecidable, testing will
always be necessary.  Lurette therefore concentrates on cases where
formal verification is limited: programs and complex properties,
in particular involving numerical aspects.\\ \\
%
The Lurette toplevel has been redesigned in 2012.  This document is a
User  Guide for  this  new version  of Lurette.  Its  provides an  --
hopefully --  exhaustive description  of its features,  as well  as a
tutorial.  }

\keywords{Reactive systems, validation, automatic test case generation, Lurette, Lustre, Lutin}

\reviewers{Nicolas Halbwachs}
\bibyear{2004}

\renewcommand{\maketitle{}}
% \begin{document}
% \maketitlepage
% \newpage
% \tableofcontents


\usepackage{titlesec}
\newcommand{\sectionbreak}{\clearpage}
